version: '2'
services:
  web:
    image: odoo:11.0
    depends_on:
      - db
    ports:
      - "8069:8069"
    volumes:
      - /volume1/docker/odoo/data:/var/lib/odoo
      - /volume1/docker/odoo/config:/etc/odoo
      - /volume1/docker/odoo/addons:/mnt/extra-addons     
    environment:
    - HOST=db
    - USER=odoo
    - PASSWORD=myodoo
  db:
    image: postgres:9.4
    environment:
      - POSTGRES_USER=odoo
      - POSTGRES_PASSWORD=myodoo
    volumes:
      - /volume1/docker/odoo/database:/var/lib/postgresql/data/pgdata